import React, { useState, useEffect } from 'react';
import { ProDescriptions } from '@ant-design/pro-components';
import { Divider } from 'antd';
import { doFetch } from '@/utils/doFetch';
import { useRequest } from 'ahooks';
import DesItem from './DesItem';
export default (props) => {
  const { type, detailpath, params, baseRow, basecolumns, title, titleno } = props;

  const request = useRequest(async () => {
    let res = await doFetch({ url: detailpath, params });
    return res?.data.data || {};
  });

  console.log(request);

  const selectType = {
    gzbx: <DesItem index="0" dataSource={request?.data} title="基本信息" hidden={true} />,
  };
  return (
    <>
      <div>
        <h2 style={{ fontWeight: 700 }}>
          {title}：{titleno}
        </h2>
      </div>
      <ProDescriptions columns={basecolumns} dataSource={request.data} />
      <Divider />
      {selectType['gzbx']}
    </>
  );
};
